import { Action } from '@ngrx/store';
import { UserPreferences } from '@app/core/models/user-preferences';

export enum UserPreferencesActionTypes {
  UpdateUserPreferences = '[User Preferences] Update',
}
export class UpdateUserPreferences implements Action {
  public readonly type = UserPreferencesActionTypes.UpdateUserPreferences;
  constructor(public payload: Partial<UserPreferences>) {}
}
